        subroutine BLNKLO
      include 'SIZE.INC'
      include 'UNITS.INC'
      integer IOSIZ,IOISIZ,IOCSIZ
      parameter (IOSIZ=5*NPX*NCHEM*MAXDAT+MAXMAS)
      parameter (IOISIZ=5*MAXMAS, IOCSIZ=62)
      real BUFFER(VARREC), IO(IOSIZ)
      integer IBUFF(VARIEC), IOI(IOISIZ), RRECS, IRECS, CRECS, TRECS,
     &NREALS,NINTS,NCHARS,I,J,OFFSET,RECDAT(FILDAT),HRECS
      integer M,L,NREC,ISET,II,K
      character*1 CBUFF(VARCEC), IOC(IOCSIZ)
      data IO,IOI/IOSIZ*0.0,IOISIZ*0/
      data IOC/50*' ','G','G','L','L','O','O','B','B','A','A','L','L'/
      data BUFFER,IBUFF,CBUFF/VARREC*0.0,VARIEC*0,VARCEC*' '/
      HRECS = FILDAT/VARIEC
      if (FILDAT-VARIEC*HRECS.ne.0) HRECS = HRECS+1
      M = 0
      do 110 I = 1, HRECS
         read (RANUNT(MACHNO),rec=I) IBUFF
         do 100 L = 1, VARIEC
            M = M+1
            if (M.gt.FILDAT) go to 120
            RECDAT(M) = IBUFF(L)
100      continue
110   continue
120   continue
      NREALS = RECDAT(37)
      NINTS = RECDAT(38)
      NCHARS = RECDAT(52)
      RRECS = RECDAT(33)
      IRECS = RECDAT(34)
      CRECS = RECDAT(56)
      TRECS = RRECS+IRECS+CRECS
      NREC = RECDAT(35)
      ISET = RECDAT(45)-1
      do 220 II = 1, NREC
         OFFSET = (II-1)*TRECS+ISET
         do 150 I = 1, RRECS
            J = (I-1)*VARREC
            K = J+VARREC
            J = J+1
            M = 0
            do 130 L = J, K
               M = M+1
               if (L.gt.NREALS) go to 140
               BUFFER(M) = IO(L)
130         continue
140         continue
            J = OFFSET+I
            write (RANUNT(MACHNO),rec=J) BUFFER
150      continue
         OFFSET = OFFSET+RRECS
         do 180 I = 1, IRECS
            J = (I-1)*VARIEC
            K = J+VARIEC
            J = J+1
            M = 0
            do 160 L = J, K
               M = M+1
               if (L.gt.NINTS) go to 170
               IBUFF(M) = IOI(L)
160         continue
170         continue
            J = OFFSET+I
            write (RANUNT(MACHNO),rec=J) IBUFF
180      continue
         OFFSET = OFFSET+IRECS
         do 210 I = 1, CRECS
            J = (I-1)*VARCEC
            K = J+VARCEC
            J = J+1
            M = 0
            do 190 L = J, K
               M = M+1
               if (L.gt.NCHARS) go to 200
               CBUFF(M) = IOC(L)
190         continue
200         continue
            J = OFFSET+I
            write (RANUNT(MACHNO),rec=J) CBUFF
210      continue
220   continue
      write (PRINTR(MACHNO),5000) NREC
5000  format (/1X,I5,' Records initialized for the',' Chemical Loadings 
     &database.')
      return
      end
